Subject: Re: [icnrg] Next steps on the 4G/LTE Draft

From: "Anil Jangam (anjangam)" <[email-masked]>
Date: Mon, 29 Apr 2019 18:10:26 +0000

Hello Luca, Rehman, and All,

We released an update to this draft (see attached) incorporating some of the feedback we received. Please let us know if this update meets your concerns.

We also call for your vote on moving this draft to RG last call. Please respond and let us know if you have any other feedback.

Thank you,

/anil.

icnrg on behalf of Trossen, Dirk [email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]> 11/15/18, 7:49 AM

Hi Luca,

The abstract provides a number of aspects for wanting to utilize ICN in 4G/LTE networks, such as “ICN has an inherent capability for multicast, anchorless mobility, security and it is optimized for data delivery using local caching at the edge.” – I agree that being brief, given that it’s in the abstract, but similar to what the paper discusses as opportunities. Furthermore, there’s a possible argument to be made that 4G/LTE will be around for some time to come, including being introduced in a number of markets as new deployments even – but should this be part of a technical draft?

I’m a bit confused by the ‘HAS to compare with those solutions’ comment. Do you expect a functional comparison, a reference to the (brief) discussion in Section V on possible deployments, …?

As for the HICN statement, I see your point on a possible misunderstanding (albeit it’s clear to me) – would you have a proposed improved formulation that avoids any such misunderstanding?

What is not clear to me though if your comment is meant as an opposition to the validity of the solution described in the draft and its adoption specifically?

Best,

Dirk

From: icnrg [mailto:[email-masked]] On Behalf Of Luca Muscariello
Sent: 07 November 2018 09:09
To: Oran, Dave <[email-masked]>
Cc: icnrg <[email-masked]>
Subject: Re: [icnrg] Next steps on the 4G/LTE Draft

Hi,

A few comments to the document:

The motivation of this document seems weak. E.g. Why should I do all these changes? Worth the pain?
Please find below a paper that may help to motivate that a little bit.

The following paper is also a good citation and the author of this draft should compare
at least with Sec V of it, where several deployment options where proposed including encapsulation in IP and GTP-U extension headers. This draft HAS to compare with those solutions. Beware that those solutions were Alcatel-Lucent IPR and should be Nokia IPR now.
There might be Orange SA IPR as well. If necessary I could check myself.

Until that comparison is not made, I feel this draft SHOULD NOT go through a final call.

G. Carofiglio, M. Gallo, L. Muscariello and D. Perino, "Scalable mobile backhauling via information-centric networking," The 21st IEEE International Workshop on Local and Metropolitan Area Networks, Beijing, 2015, pp. 1-6.

Minor:
This text is either wrong or inaccurate. Or maybe, it is so short that is prone to misguided interpretation.

       An alternative approach to implement ICN over IP is provided in

       Hybrid ICN [HICN], which implements ICN over IP by mapping of ICN

       names to the IPv4/IPv6 addresses.

HTH

Luca

On Wed, Nov 7, 2018 at 7:51 AM David R. Oran <[email-masked]<mailto:[email-masked]>> wrote:

At the ICNRG Interim meeting at IETF 103, we got an update status on https://datatracker.ietf..org/doc/draft-irtf-icnrg-icn-lte-4g/<https://datatracker.ietf.org/doc/draft-irtf-icnrg-icn-lte-4g/>

This document is reaching a mature state and the chairs would like to get a sense from the RG participants on two questions:
1.      Do you think this is ready for an RG last call, and if not, what additions/changes you would like to see to move it forward.
2.      Do you think the appropriate target for this particular set of work is the “Informational” or “Experimental RFC track. It seems to fall somewhat in a grey area between the two.

Please reply to the list. We would like to have feedback by the end of next week or so (November 17).

Dave, Dirk, & Börje.
_______________________________________________
icnrg mailing list
[email-masked]<mailto:[email-masked]>
https://www.irtf.org/mailman/listinfo/icnrg

Subject: [icnrg] FW: New Version Notification for draft-irtf-icnrg-icn-lte-4g-03.txt
From: "Anil Jangam (anjangam)" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 11 Mar 2019 06:42:17 +0000
List-Id: Information-Centric Networking research group discussion list <icnrg.irtf.org>

Hello All,

We are providing a new revision incorporating the review feedback we received.

Added a comparison w.r.t. ICN implementation in mobile backhaul networks and its relation to the ICNoIP use case. Provided an elaboration about hICN and how it is used in the deployment scenarios (in section 4.2). Provided more discussion about transport convergence layer. Also added some clarification related to the use of ICN in LTE control/signaling plane. Incorporated some of the editorial comments.

Thank you everyone for the review comments and for your helpful feedback!

Thank you,
/anil.

    A new version of I-D, draft-irtf-icnrg-icn-lte-4g-03.txt
    has been successfully submitted by Anil Jangam and posted to the
    IETF repository.
    
    Name:		draft-irtf-icnrg-icn-lte-4g
    Revision:	03
    Title:		Native Deployment of ICN in LTE, 4G Mobile Networks
    Document date:	2019-03-11
    Group:		icnrg
    Pages:		37
    URL:            https://www.ietf.org/internet-drafts/draft-irtf-icnrg-icn-lte-4g-03.txt
    Status:         https://datatracker.ietf.org/doc/draft-irtf-icnrg-icn-lte-4g/
    Htmlized:       https://tools.ietf.org/html/draft-irtf-icnrg-icn-lte-4g-03
    Htmlized:       https://datatracker.ietf.org/doc/html/draft-irtf-icnrg-icn-lte-4g
    Diff:           https://www.ietf.org/rfcdiff?url2=draft-irtf-icnrg-icn-lte-4g-03
    
    Abstract:
       LTE, 4G mobile networks use IP based transport for control plane to
       establish the data session and user plane for actual data delivery.
       In existing architecture, IP transport used in user plane is not
       optimized for data transport, which leads to an inefficient data
       delivery.  IP unicast routing from server to clients is used for
       delivery of multimedia content to User Equipment (UE), where each
       user gets a separate stream.  From bandwidth and routing perspective
       this approach is inefficient.  Multicast and broadcast technologies
       have emerged recently for mobile networks, but their deployments are
       very limited or at an experimental stage due to complex architecture
       and radio spectrum issues.  ICN is a rapidly emerging technology with
       built-in features for efficient multimedia data delivery, however
       majority of the work is focused on fixed networks.  The main focus of
       this draft is on native deployment of ICN in cellular mobile networks
       by using ICN in 3GPP protocol stack.  ICN has an inherent capability
       for multicast, anchorless mobility, security and it is optimized for
       data delivery using local caching at the edge.  The proposed
       approaches in this draft allow ICN to be enabled natively over the
       current LTE stack comprising of PDCP/RLC/MAC/PHY or in a dual stack
       mode (along with IP) help optimize the mobile networks by leveraging
       the inherent benefits of ICN.

    
    Please note that it may take a couple of minutes from the time of submission
    until the htmlized version and diff are available at tools.ietf.org.
    
    The IETF Secretariat

_______________________________________________
icnrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/icnrg